View Issue Details

IDProjectCategoryView StatusLast Update
0011600mantisbthtmlpublic2016-07-20 17:12
ReportermattmccutchenAssigned Todhx 
PrioritynormalSeveritytrivialReproducibilityalways
Status closedResolutionfixed 
Product Version1.2.15 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0011600: Bugnote direct links include mismatched parenthesis
Description

In the bugnote direct links in the left column of the "Notes" section of an issue page, the right parenthesis is part of the link but the left parenthesis is not. That looks inconsistent.

The relevant code is at:

http://git.mantisbt.org/?p=mantisbt.git;a=blob;f=bugnote_view_inc.php;h=8145df537271a3ff08ca063abd27dbf4f64b00bd;hb=HEAD#l157

Tagsavatar, Launchpad, test

Relationships

child of 0015721 closedgrangeway Functionality to consider porting to master-2.0.x 

Activities

dhx

dhx

2010-03-04 02:47

reporter   ~0024620

Thanks for reporting this problem Matt! I decided to just remove the parenthesis completely and replace it with the '~' (by default) prefix as a subtle reminder of the syntax for referencing a particular bugnote from another bugnote or bug description field.

grangeway

grangeway

2013-04-05 17:57

reporter   ~0036510

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch

Related Changesets

MantisBT: master 4f3906f6

2010-03-04 07:32:47

dhx

Details Diff
Fix 0011600: Bugnote direct links include mismatched parenthesis

In the bugnote direct links in the left column of the "Notes" section of
an issue page, the right parenthesis is part of the link but the left
parenthesis is not.

This patch removes the parenthesis entirely and instead uses the value
of $g_bugnote_link_tag as a prefix to the bugnote ID. This technique is
a subtle reminder to users of the syntax to use within bugnotes and bug
descriptions to refer to a particular bugnote.
mod - bugnote_view_inc.php Diff File

MantisBT: master 02185e99

2010-03-04 07:32:47

dhx

Details Diff
Fix 0011600: Bugnote direct links include mismatched parenthesis

In the bugnote direct links in the left column of the "Notes" section of
an issue page, the right parenthesis is part of the link but the left
parenthesis is not.

This patch removes the parenthesis entirely and instead uses the value
of $g_bugnote_link_tag as a prefix to the bugnote ID. This technique is
a subtle reminder to users of the syntax to use within bugnotes and bug
descriptions to refer to a particular bugnote.
mod - bugnote_view_inc.php Diff File

MantisBT: master 6dd6e7c4

2010-03-04 07:42:47

dhx

Details Diff
Revert "Fix 0011600: Bugnote direct links include mismatched parenthesis"

This reverts commit 02185e9949d512826bc4b8dc23a6c0fb495a5888.
mod - bugnote_view_inc.php Diff File

Issue History

Date Modified Username Field Change
2010-03-03 04:27 mattmccutchen New Issue
2010-03-03 08:04 dhx Assigned To => dhx
2010-03-03 08:04 dhx Status new => assigned
2010-03-03 08:05 dhx Target Version => 1.3.0-beta.1
2010-03-04 02:47 dhx Note Added: 0024620
2010-03-04 02:47 dhx Status assigned => resolved
2010-03-04 02:47 dhx Fixed in Version => 1.3.0-beta.1
2010-03-04 02:47 dhx Resolution open => fixed
2010-03-04 02:50 dhx Changeset attached master 4f3906f6 =>
2010-03-04 02:50 dhx Changeset attached master 6dd6e7c4 =>
2010-03-04 02:50 dhx Changeset attached master 02185e99 =>
2010-03-27 18:30 chasky Tag Attached: Launchpad
2010-03-27 18:30 chasky Tag Attached: avatar
2010-03-27 18:31 chasky Tag Attached: test
2010-03-27 18:31 chasky Tag Attached: text
2010-06-09 03:45 dhx Status resolved => closed
2013-04-05 17:57 grangeway Status closed => acknowledged
2013-04-05 17:57 grangeway Note Added: 0036510
2013-04-05 18:03 grangeway Relationship added child of 0015721
2013-04-06 03:44 dregad Status acknowledged => resolved
2013-04-06 07:20 grangeway Status resolved => acknowledged
2013-04-06 09:26 dregad Tag Attached: 2.0.x check
2013-04-06 09:26 dregad Status acknowledged => resolved
2013-10-18 15:26 atrol Product Version git trunk => 1.2.15
2014-09-23 18:05 grangeway Tag Detached: 2.0.x check
2014-12-08 00:34 vboctor Status resolved => closed
2016-07-20 17:12 atrol Tag Detached: text